## ros-kinetic-xiaoqiang-driver 0.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xiaoqiang_driver)

find_package(catkin REQUIRED COMPONENTS
  nav_msgs
  roscpp
  rospy
  sensor_msgs
  std_msgs
  geometry_msgs
  tf
)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS nav_msgs roscpp rospy sensor_msgs std_msgs geometry_msgs
)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

set(BOOST_LIBS thread date_time system)
find_package(Boost COMPONENTS ${BOOST_LIBS} REQUIRED)
find_package(Threads REQUIRED)

add_executable(${PROJECT_NAME}
  src/main.cpp
  src/AsyncSerial.cpp
  src/DiffDriverController.cpp
  src/StatusPublisher.cpp
)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME ${PROJECT_NAME} PREFIX "")

install(
  TARGETS ${PROJECT_NAME} ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  DIRECTORY udevs
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(
  FILES  scripts/fixudev
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-xiaoqiang-driver (0.0.12-0xenial) xenial; urgency=high



 -- Xie fusheng <xiefs@foxmail.com>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-driver (0.0.11-0xenial) xenial; urgency=high



 -- Xie fusheng <xiefs@foxmail.com>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-driver (0.0.10-0xenial) xenial; urgency=high



 -- Xie fusheng <xiefs@foxmail.com>  Fri, 08 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-driver (0.0.9-0xenial) xenial; urgency=high



 -- Xie fusheng <xiefs@foxmail.com>  Wed, 06 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-driver (0.0.8-0xenial) xenial; urgency=high

  * add depth image process
  * fix udev rules and some package names
  * Contributors: Zhang Weijia, xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Tue, 05 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-driver (0.0.7-0xenial) xenial; urgency=high

  * fix typo
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Thu, 31 May 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-driver (0.0.6-0xenial) xenial; urgency=high



 -- Xie fusheng <xiefs@foxmail.com>  Wed, 30 May 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-driver (0.0.5-0xenial) xenial; urgency=high



 -- Xie fusheng <xiefs@foxmail.com>  Tue, 29 May 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-driver (0.0.3-0xenial) xenial; urgency=high

  * add controller
  * update readme
  * add xiaoqiang server
  * add many packages
  * fix readme
  * rename topics and add namespace
  * change topic names
  * add driver
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Mon, 28 May 2018 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-xiaoqiang-driver
Section: misc
Priority: extra
Maintainer: Xie fusheng <xiefs@foxmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, setserial
Homepage: http://www.bwbot.org/content/xiaoqiang
Standards-Version: 3.9.2

Package: ros-kinetic-xiaoqiang-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, setserial
Description: The xiaoqiang driver package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-xiaoqiang-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
